**Summary**

(Short and sweet description. Make sure this is clear and understandable to all developers, not just the ones already working on the issues)

**Use cases**

(Describe how this general concept/feature will make a differece - from a user point of view, not just developers.)

**Impact**

(What users would this matter to? Is it likely to have large impact relative to the amount of work required?)

**Detailed description**

(Describe the concept in detail, and how it related to other umbrella issues. Avoid creating multiple umbrella issues in closely related areas, and make sure developers not working on this part of the code will be able to understand the concept even if they are not on top of all your abbreviations. Create detailed bullet list with things that need to be done and why, link to other issues, and make sure this stays up-to-date.)

**Responsible developer**

(Umbrella issues must have a developer assigned, who has responsibility for keeping it updated.)

**Time plan**

(Over what timeframe is this work expected to happen? Since Umbrella issues are usually longer-lived, you will be expected to update this text such that other developers understand how the umbrella issue is making progress - bullet lists are great for this.)

**Links/references/implementations**

(Having a link to a paper can be a nice addition to a detailed description, but it's unlikely developers will have time to e.g. go and read a paper if you didn't have time to describe the feature in detail here. Would you be willing to write the implementation?)

/label ~Umbrella-Issue

